Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class DimensionCondition

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.core.PropertyStructure
              org.eclipse.birt.report.model.api.elements.structures.DimensionCondition

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class DimensionCondition

extends org.eclipse.birt.report.model.core.PropertyStructure

The DimensionCondition structure defines a list of join conditions between cube and hierarchy.

Field Summary
`static java.lang.String` | `DIMENSION_CONDITION_STRUCT` Name of this structure.
`static java.lang.String` | `HIERARCHY_MEMBER` Member name of the cached result set(output columns).
`static java.lang.String` | `JOIN_CONDITIONS_MEMBER` The property name of the data set parameters definitions.

Fields inherited from class org.eclipse.birt.report.model.core.PropertyStructure
`propValues`

Constructor Summary
`DimensionCondition()`

Method Summary
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`protected StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)`

Methods inherited from class org.eclipse.birt.report.model.core.PropertyStructure
`clone, getIntrinsicProperty, getLocalProperty, getLocalProperty, setIntrinsicProperty, setProperty`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setupContext, updateReference, validate`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIMENSION_CONDITION_STRUCT

    public static final java.lang.String DIMENSION_CONDITION_STRUCT

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### JOIN_CONDITIONS_MEMBER

    public static final java.lang.String JOIN_CONDITIONS_MEMBER

  The property name of the data set parameters definitions.

  See Also:
    Constant Field Values

### HIERARCHY_MEMBER

    public static final java.lang.String HIERARCHY_MEMBER

  Member name of the cached result set(output columns).

  See Also:
    Constant Field Values

Constructor Detail

### DimensionCondition

    public DimensionCondition()

Method Detail

### handle

    protected StructureHandle handle(SimpleValueHandle valueHandle,
                                     int index)

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.